'$INCLUDE: 'directqb.bi'
t = DQBinit(1, 0, 0)
dqbinitvga

DO UNTIL k$ = CHR$(27)
k$ = INKEY$
clearit = clearit + 1
IF clearit > 1 THEN clearit = 0
ang2 = DQBangle(160, 100, DQBmouseX, DQBmouseY)
dqbprint 1, STR$(ang2), 0, 0, 15
dqbpset 1, DQBmouseX, DQBmouseY, 14
ang2 = ang2 - 65
angle2! = ang2 * (360 / 255)
dqbprint 1, STR$(angle2!), 0, 10, 15
a! = angle2!
Angle! = a! * (3.141593 / 180)
x! = 160
y! = 100

FOR b = 1 TO 200
x! = x! + COS(Angle!)
y! = y! + SIN(Angle!)
x2 = INT(x!)
y2 = INT(y!)
dqbpset 1, x2, y2, 15 + b
NEXT b
dqbcopylayer 1, 0
dqbclearlayer 1
LOOP

dqbclose

